Subject: Re: bug#43610: IceCat segfault

From: raingloom <[email-masked]>
Date: Sat, 26 Sep 2020 04:34:25 +0200

On Fri, 25 Sep 2020 12:11:10 -0400
Mark H Weaver <[email-masked]> wrote:

> Hi,
> 
> raingloom <[email-masked]> writes:
> > Haven't had time to look deeper into it yet. It worked in my profile
> > from sept 11, it broke after pulling and upgrading yesterday.
> > Idk what my commit is because I'm using a private branch.  
> 
> On Sept 22, I pushed a major update of IceCat from 68.12.0 to 78.3.0:
> 
>   commit c7011ff850420fdbe1319b3d218bd362f2f9d618
>   Author: Mark H Weaver <[email-masked]>
>   Date:   Sun Sep 6 21:47:33 2020 -0400
> 
>   gnu: icecat: Update to 78.3.0-guix0-preview1 [security-fixes].
>   
>   Includes fixes for CVE-2020-15673, CVE-2020-15676, CVE-2020-15677,
> and CVE-2020-15678.
> 
>   [...]
> 
> More details would be helpful.  For example, it's not clear from your
> report whether it segfaults immediately on startup or sometime later,
> whether a window appears, etc.  Also, are you using Guix on top of a
> foreign distro, or natively?  Wayland or X?
> 
> It would also be useful to know how IceCat 78 behaves on your system
> with a fresh profile.  Try it by running "icecat -p", creating a new
> profile from the profile manager window, and then starting icecat with
> that new profile selected.  If that works, it would then be useful to
> try adding back any extensions that were installed in the profile that
> crashed, and see if that makes a difference.
> 
>       Thanks,
>         Mark

It crashed immediately without any visible activity.
It does start up properly with a fresh profile. I'll try to bisect the
addons list later.

Tbh this would be a good time to have a debug output for IceCat on hand.